 /*

********************************************************************************
**      ATI Mach 64 chipset driver
********************************************************************************
**
    Copyright (C)       1998    Isaac Connor
                                Mathew Wilkins

********************************************************************************
   Permission is hereby granted, free of charge, to any person obtaining a
   copy of this software and associated documentation files (the "Software"),
   to deal in the Software without restriction, including without limitation
   the rights to use, copy, modify, merge, publish, distribute, sublicense,
   and/or sell copies of the Software, and to permit persons to whom the
   Software is furnished to do so, subject to the following conditions:

   The above copyright notice and this permission notice shall be included in
   all copies or substantial portions of the Software.

   THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
   IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
   FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT.  IN NO EVENT SHALL
   THE AUTHOR(S) BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER
   IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN
   CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
**
********************************************************************************
*/

#ifndef	_MACH64_MODES_H__
#define	_MACH64_MODES_H__

/*
 * prototypes
 */

void	mach64_adjust_timing_values_grfx( struct kgi_mode *mode );
/* not really there. 
int	Mach64_Construct_Default_State( struct kgi_display *dpy );

int	Mach64_Get_Grfx_State( struct kgi_display *dpy );
*/
int	mach64_clock_lower_grfx( struct kgi_display *dpy, struct kgi_mode *mode );
int	mach64_clock_raise_grfx( struct kgi_display *dpy, struct kgi_mode *mode );
int	mach64_clock_lower( struct kgi_display *dpy, struct kgi_mode *mode );
int	mach64_clock_raise( struct kgi_display *dpy, struct kgi_mode *mode );
/*
int	Mach64_Propose_Mode_8bpp( struct kgi_mode *mode );
int	Mach64_Propose_Mode_16bpp( struct kgi_mode *mode );
int	Mach64_Propose_Mode_24bpp( struct kgi_mode *mode );
int	Mach64_Propose_Mode_32bpp( struct kgi_mode *mode );
*/
int	mach64_propose_mode( struct kgi_display *dpy, struct kgi_mode *mode );
/*
int	Mach64_Check_Mode_8bpp( struct kgi_mode *mode );
int	Mach64_Check_Mode_16bpp( struct kgi_mode *mode );
int	Mach64_Check_Mode_24bpp( struct kgi_mode *mode );
int	Mach64_Check_Mode_32bpp( struct kgi_mode *mode );
*/
int	mach64_check_mode( struct kgi_display *dpy, struct kgi_mode *mode );

int	mach64_set_mode_grfx( struct kgi_display *dpy, struct kgi_mode *mode );
int	mach64_setup_display_grfx( struct kgi_display *dpy,
			struct kgi_mode *mode, int stride, int lines );

#endif
